﻿using System;
using System.Drawing;

namespace Cutter
{
    [Serializable]
    public class CutterPlan
    {
        public string Name { get;  }
        public CutterItem[] Items { get; }
        public Rectangle Plate { get;  }

        public CutterPlan(string Name, Rectangle Plate, CutterItem[] Items)
        {
            this.Name = Name;
            this.Items = Items;
            this.Plate = Plate;
        }
    }

    [Serializable]
    public class CutterItem
    {
        public Rectangle ItemRect { get; }
        public Color ItemColor { get; }

        public CutterItem(Rectangle ItemRect, Color ItemColor)
        {
            this.ItemRect = ItemRect;
            this.ItemColor = ItemColor;
        }
    }

}
