﻿using System;
using Cutter;

namespace CutterInfoVisualizer
{
    [Serializable]
    public class CutterInfoSerializable
    {
        public string Vendor { get; }
        public string Model { get; }
        public int Year { get; }

        public CutterInfoSerializable(CutterInfo Source)
        {
            this.Vendor = Source.Vendor;
            this.Model = Source.Model;
            this.Year = Source.Year;
        }
    }
}
