﻿using System.IO;
using Cutter;
using Microsoft.VisualStudio.DebuggerVisualizers;

namespace CutterInfoVisualizer
{
    public class DebuggeeSide: VisualizerObjectSource
    {
        public override void GetData(object target, Stream outgoingData)
        {
            if (target != null && target is CutterInfo)
            {
                CutterInfoSerializable SerializableTarget = new CutterInfoSerializable((CutterInfo)target);
                base.GetData(SerializableTarget, outgoingData);
            }
        }
    }
}
